## org.eclipse.datatools.connectivity.apache.derby.ui.explorer.providers.virtual
Interface IVirtualNodeServiceFactory

    public interface IVirtualNodeServiceFactory

Field Summary
`static IVirtualNodeServiceFactory` `INSTANCE`

Method Summary
`ISynonymFolder` `makeSynonymFolder(java.lang.String name, java.lang.String displayName, java.lang.Object parent)`

Field Detail

### INSTANCE

    static final IVirtualNodeServiceFactory INSTANCE

Method Detail

### makeSynonymFolder

    ISynonymFolder makeSynonymFolder(java.lang.String name,
                                     java.lang.String displayName,
                                     java.lang.Object parent)